Update seller direct debit settings

Credentials

No credentials are documented for this endpoint.

Update direct debit authorization settings for tax authority, VAT authority, and social security.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
id string no Seller UUID
email string no Seller email
socialId integer no Seller Israeli ID number
directDebit object yes
directDebit.taxAuthority string no Tax authority debit status
directDebit.vatAuthority string no VAT authority debit status
directDebit.socialSecurity string no Social security debit status

Request example

{
  "email": "seller@example.com",
  "directDebit": {
    "taxAuthority": "authorized",
    "vatAuthority": "authorized",
    "socialSecurity": "pending"
  }
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/update-direct-debit' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "email": "seller@example.com",
  "directDebit": {
    "taxAuthority": "authorized",
    "vatAuthority": "authorized",
    "socialSecurity": "pending"
  }
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/update-direct-debit", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "email": "seller@example.com",
    "directDebit": {
      "taxAuthority": "authorized",
      "vatAuthority": "authorized",
      "socialSecurity": "pending"
    }
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/update-direct-debit",
    json={
        "email": "seller@example.com",
        "directDebit": {
            "taxAuthority": "authorized",
            "vatAuthority": "authorized",
            "socialSecurity": "pending",
        },
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "email": "seller@example.com",
  "directDebit": {
    "taxAuthority": "authorized",
    "vatAuthority": "authorized",
    "socialSecurity": "pending"
  }
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/update-direct-debit');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Direct debit settings updated successfully (success)

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}